path: /build/build/cerberus-dev-python-1.3.7+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - sed -e 's|Cerberus|cerberus|g' -i /var/git/meta-repo/kits/python-modules-kit/dev-python/cerberus/cerberus-1.3.7.ebuild
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/cerberus -pv -t
  - |
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/cerberus
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/cerberus && luet-portage --dir
    /pkgdir/cerberus dev-python/cerberus
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:60c2b2937a6e3b4b72a4d5a6acbc9b783ff661d1fafa5a87098e430fdc51f470
  package:
    name: cerberus
    version: 1.3.7+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Lightweight, extensible schema and data validation tool for Pythondictionaries.
    uri:
    - https://pypi.org/project/Cerberus/
    buildtimestamp: 2025-01-05 11:49:45.777643261 +0000 UTC m=+54.739626624
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/cerberus
      kit: python-modules-kit
      original.package.name: dev-python/cerberus
      original.package.slot: "0"
      original.package.version: 1.3.7
    treedir: /build/packages
  package_dir: /pkgdir/cerberus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2d45dcff1b3b00ae0044f63baa1182b5510bc0098197948a585b53c04fde6cf7
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/Cerberus-1.3.7-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/cerberus/__init__.py
- usr/lib/python3.9/site-packages/cerberus/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/errors.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/errors.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/errors.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/platform.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/platform.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/platform.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/schema.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/schema.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/schema.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/validator.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/validator.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cerberus/__pycache__/validator.cpython-39.pyc
- usr/lib/python3.9/site-packages/cerberus/errors.py
- usr/lib/python3.9/site-packages/cerberus/platform.py
- usr/lib/python3.9/site-packages/cerberus/schema.py
- usr/lib/python3.9/site-packages/cerberus/utils.py
- usr/lib/python3.9/site-packages/cerberus/validator.py
- usr/share/doc/cerberus-1.3.7/AUTHORS.bz2
- usr/share/doc/cerberus-1.3.7/README.rst.bz2
- var/db/pkg/dev-python/cerberus-1.3.7/BDEPEND
- var/db/pkg/dev-python/cerberus-1.3.7/BUILD_TIME
- var/db/pkg/dev-python/cerberus-1.3.7/CATEGORY
- var/db/pkg/dev-python/cerberus-1.3.7/CBUILD
- var/db/pkg/dev-python/cerberus-1.3.7/CFLAGS
- var/db/pkg/dev-python/cerberus-1.3.7/CHOST
- var/db/pkg/dev-python/cerberus-1.3.7/CONTENTS
- var/db/pkg/dev-python/cerberus-1.3.7/COUNTER
- var/db/pkg/dev-python/cerberus-1.3.7/CTARGET
- var/db/pkg/dev-python/cerberus-1.3.7/CXX
- var/db/pkg/dev-python/cerberus-1.3.7/CXXFLAGS
- var/db/pkg/dev-python/cerberus-1.3.7/DEFINED_PHASES
- var/db/pkg/dev-python/cerberus-1.3.7/DESCRIPTION
- var/db/pkg/dev-python/cerberus-1.3.7/EAPI
- var/db/pkg/dev-python/cerberus-1.3.7/FEATURES
- var/db/pkg/dev-python/cerberus-1.3.7/HOMEPAGE
- var/db/pkg/dev-python/cerberus-1.3.7/INHERITED
- var/db/pkg/dev-python/cerberus-1.3.7/IUSE
- var/db/pkg/dev-python/cerberus-1.3.7/IUSE_EFFECTIVE
- var/db/pkg/dev-python/cerberus-1.3.7/KEYWORDS
- var/db/pkg/dev-python/cerberus-1.3.7/LDFLAGS
- var/db/pkg/dev-python/cerberus-1.3.7/LICENSE
- var/db/pkg/dev-python/cerberus-1.3.7/PF
- var/db/pkg/dev-python/cerberus-1.3.7/RDEPEND
- var/db/pkg/dev-python/cerberus-1.3.7/SIZE
- var/db/pkg/dev-python/cerberus-1.3.7/SLOT
- var/db/pkg/dev-python/cerberus-1.3.7/USE
- var/db/pkg/dev-python/cerberus-1.3.7/cerberus-1.3.7.ebuild
- var/db/pkg/dev-python/cerberus-1.3.7/environment.bz2
- var/db/pkg/dev-python/cerberus-1.3.7/repository
package_cacheimage: ""
runtime:
  name: cerberus
  version: 1.3.7+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Lightweight, extensible schema and data validation tool for Pythondictionaries.
  uri:
  - https://pypi.org/project/Cerberus/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/cerberus
    kit: python-modules-kit
    original.package.name: dev-python/cerberus
    original.package.slot: "0"
    original.package.version: 1.3.7
